<?php

namespace AppBundle\Entity\Repository;

use Doctrine\ORM\EntityRepository;

class VoucherRepository extends EntityRepository
{
    /**
     * @return \Doctrine\ORM\Query
     */
    public function getListQuery()
    {
        return $this
            ->createQueryBuilder('v')
            ->where('v.isRemoved != true')
            ->getQuery();
    }

    /**
     * @return \Doctrine\ORM\Query
     */
    public function getRemovedListQuery()
    {
        return $this
            ->createQueryBuilder('v')
            ->where('v.isRemoved = true')
            ->getQuery();
    }
}
